Back
patch /v1/blocks/{blockId}

Update a block

Applies a partial update to a block, changing exactly one property per request. Supports space-member sharing, hiding, and unhiding. A block is hidden once hide_after has passed and shown again once unhide_after has passed. To hide a block immediately set hide_after to the current time; to show it again set unhide_after to the current time. Use spaceMemberSharingLevel to set access for members of the block's own space on this block and its descendants; use BLOCK_SHARING_LEVEL_NOT_SHARED to disable that access. Exactly one field must be provided.

path params

blockIdstring required

Request body

hideAfter String Time after which the block becomes hidden. Set to the current time to hide the block immediately.

unhideAfter String Time after which the block becomes visible again. Set to the current time to show a hidden block immediately.

spaceMemberSharingLevel String ENUM

Responses

Was this guide helpful?